Subject: Re: CCL:Announcing AutoDock 3.0.5 GUI: AutoDockTools, ADT

From: xin_hu <[email-masked]>
Date: Wed, 28 Mar 2001 21:41:33 -0600

Hi,
I am very glad to know the ADT and download it. But when I try to run it, it
always show an error like that:

Traceback (most recent call last):
  File "./adt', line 40, in?
   import AutoDockTools
Import Error: No module named Autodocktool

I do not how the module or python works. DO I need do some other installation in
order to start adt or pmv script (such as link with AUTODOCK3.0)?

Thank  you very much for your instruction.

xin hu

"Garrett M. Morris" wrote:

> Dear Prashant,
>
> With the release of AutoDockTools, also known as 'ADT', AutoDock has
> become more self-sufficient than ever.  ADT provides a graphical user
> interface to set up the ligand PDBQ file, the AutoGrid grid maps, the
> AutoDock docking parameters, the ability to launch docking jobs, and
> the ability to read in and analyse DLG AutoDock docking log files. You
> can visualize isocontoured AutoGrid maps for atomic affinity and
> electrostatice potential, and compute and display molecular surfaces.
>
> Babel has been ported into ADT, so its Gasteiger partial atomic charge
> calculation method is available for small molecules, and there is also
> the ability to assign Kollman united-atom charges to
> proteins.  Previously, you would have needed SYBYL to do this.
>
> You can also assign solvation parameters to a macromolecule, and
> perform operations like adding hydrogens and merging non-polar
> hydrogens, or detecting aromatic carbons (necessary for solvation
> parameters).
>
> ADT is free for non-commercial applications, and is available from Art
> Olson's Molecular Graphics Laboratory web site - click on Python
> Software Development's "Related links", then "Downloads"
>
> http://www.scripps.edu/pub/olson-web/index.html
>
> After you have accepted the license agreement and registered (free),
> click the radio button "Download Python packages" and then click
> "Start".
>
> Currently supported platforms are:
>
>         SGI    IRIX 6.2 or higher, R4000 or better
>         Intel  Linux 2
>         Sun    Sun OS 5
>
> Coming soon:
>
>         Windows
>         Mac OS X 10.0
>
> You can select all the packages you want and the packager will tar
> everything you need into one downloadable file.   Just check the
> "AutoDockTools" check-box and then click "Select dependent
> packages".  The packager determines any dependencies for you.
>
> On Fri, 23 Mar 2001, art' wrote:
>
> > Hi Desai,
> >
> > AutoDock has almost all software to make docking, with exception :
> > 1. To visualize the structures in PDB (the results) 2.To create
> > PDBQ file for ligand and macromolecule (add charges to PDB
> > format). Of course, here we need some force field to calculate
> > charges .......
> >
> > The latest thing make the most inconvenience to prepare jobs ...
> > And 'addsol' crashes while converting PDBQ to PDBQS file. Here
>
> Email Ruth Huey if you have problems with "addsol" - her email address
> is [email-masked]; this may have already been fixed in the
> currently released tar file.
>
> > I've wrote my own win32 application.
> >
> > I don't know about DOCK, but AutoDock have rised some doubts about
> > flexible docking. If anybody has the experience of flexible
> > docking with AotoDock 3.0, it would be nice if one could share
> > his/her comments about that . :)
>
> Take a look at the paper in the Journal of Computational Chemistry
> comparing Simulated Annealing, Genetic Algorithm and Lamarckian
> Genetic Algorithm in AutoDock 3.0:
>
> Morris, G. M.,  Goodsell, D. S.,  Halliday, R.S.,  Huey, R.,  Hart,
> W. E.,  Belew, R. K.  and  Olson, A. J.  (1998), J. Computational
> Chemistry, 19: 1639-1662.
> "Automated Docking Using a Lamarckian Genetic Algorithm and and
> Empirical Binding Free Energy Function".
>
> AutoDock's web site is at:
>
> http://www.scripps.edu/pub/olson-web/doc/autodock/
>
> For more information and a list of peer-reviewed publications, click
> on "References".
>
> >
> > have a good day
> > A.Ziemys
> >
> >
> > Prashant Desai wrote:
> >
> > > I tried understanding DOCK and  I realized that one requires 'MS' from
> > > QCPE to generate molecular surfaces. Since I don't have 'MS' can anybody
> > > suggest some way out?
> > > How about using Autodock? Is it self sufficient or even it requires use
> > > of some additional softwares?
> > > I am also looking for performance comparison of 'Affinity' from MSI with
> > > other docking packages. I have not come across as many references on use
> > > of Affinity as those for either DOCK or Autodock. Can anyone send me a
> > > list of articles where Affinity has been utilized or even compared with
> > > other docking softwares?
> > > Thanking in advance.
> > > Prashant Desai
> > >
> >
> >
>
> Happy docking!
>
> Garrett
>
> ___
> Dr Garrett M. Morris, MA, DPhil
> The Scripps Research Institute,       tel: (858) 784-2292
> Dept. Molecular Biology,  MB-5,       fax: (858) 784-2860
> 10550  North Torrey Pines Road,       email: [email-masked]
> La Jolla,  CA 92037-1000,  USA.       www.scripps.edu/pub/olson-web/gmm
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]

--
*************************************************
   Xin Hu
   Department of Pharmaceutical Science
   College of Pharmacy
   North Dakota State University
   Fargo, ND 58105
   Tel: 701-231-8298 (O)
         701-231-4360 (H)
   Fax: 701-231-7781
   E-mail: [email-masked]
              [email-masked]
*************************************************